# $Revision: 1.21 $, $Date: 2008/07/27 22:22:57 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Text
%define		pnam	Diff
Summary:	Text::Diff - perform diffs on files and record sets
Summary(pl.UTF-8):	Text::Diff - wyszukiwanie różnic między plikami i zbiorami rekordów
Name:		perl-Text-Diff
Version:	0.35
Release:	5
License:	GPL v2+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Text/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	4931662ea353384dec2a54a71b26ee8c
URL:		http://search.cpan.org/dist/Text-Diff/
%if %{with tests}
BuildRequires:	perl-Algorithm-Diff
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
diff() provides a basic set of services akin to the GNU diff utility.
It is not anywhere near as feature complete as GNU diff, but it is
better integrated with Perl and available on all platforms. It is
often faster than shelling out to a system's diff executable for small
files, and generally slower on larger files.

%description -l pl.UTF-8
Funkcja diff() udostępnia podstawowy zbiór usług podobnych do
narzędzia GNU diff. Daleko jej do pełnej funkcjonalności GNU diffa,
ale jest lepiej zintegrowana z Perlem i dostępna na wszystkich
platformach. Jest przeważnie szybsza niż uruchamianie polecenia
systemowego w przypadku małych plików, a wolniejsza dla dużych plików.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/Text/*.pm
%{perl_vendorlib}/Text/Diff
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Text-Diff.spec,v $
Revision 1.21  2008/07/27 22:22:57  arekm
- release 5

Revision 1.20  2007-02-13 07:47:15  glen
- tabs in preamble

Revision 1.19  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.18  2006/12/22 01:15:32  qboosh
- generic URL, readable files

Revision 1.17  2004/11/03 22:30:49  paladine
- formatting

Revision 1.16  2004/05/07 00:38:13  ankry
- rel. 4

Revision 1.15  2004/05/06 18:21:16  ankry
- fixed perl-devel BR

Revision 1.14  2004/04/27 21:05:09  ankry
- license cosmetic, rel. 3 for Ac

Revision 1.13  2004/04/27 15:26:27  ankry
- new bconds

Revision 1.12  2004/04/15 21:24:54  ankry
- cosmetics

Revision 1.11  2003/09/09 10:24:51  ankry
- spaces -> tab

Revision 1.10  2003/08/18 08:09:19  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.9  2003/05/28 13:01:05  malekith
- massive attack: source-md5

Revision 1.8  2003/05/25 06:25:03  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2003/04/11 18:59:27  radek
- BR: perl-devel; do not BR: perl

Revision 1.6  2003/03/01 21:34:58  radek
- should be ready for perl-5.8.0; release++

Revision 1.5  2003/02/24 20:31:58  radek
- use the __perl macro

Revision 1.4  2003/02/18 15:38:43  ankry
- massive attack: change CPAN URLs

Revision 1.3  2002/09/28 23:21:25  ankry
- version 0.35, rel. 1

Revision 1.2  2002/08/28 20:58:40  qboosh
- pl description, release++

Revision 1.1  2002/08/25 15:18:42  radek
- new, STBR
